mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Module | System.AttributeTargets.All)

Apply the attribute to an assembly or module to prevent the assembly or module from being disassembled using the MSIL Disassembler (Ildasm.exe).

This attribute does not prevent an assembly from being viewed using reflection.

Note that attribute does not block the MSIL Disassembler (Ildasm.exe) from viewing header information and meta-information.

Prevents the MSIL Disassembler (Ildasm.exe) from disassembling an assembly. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  Apply the attribute to an assembly or module to prevent the assembly or module from being disassembled using the MSIL Disassembler (Ildasm.exe).

  Initializes a new instance of the class.